diff tests/test-highlight @ 6355:3b841c189ab7

tests: add highlight extension tests
author Dirkjan Ochtman <dirkjan@ochtman.nl>
date Sat, 22 Mar 2008 20:16:30 +0100
parents
children 938319418d8c d1c82127573e
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-highlight	Sat Mar 22 20:16:30 2008 +0100
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" pygments || exit 80
+
+cat <<EOF >> $HGRCPATH
+[extensions]
+hgext.highlight =
+EOF
+
+hg init test
+cd test
+cp $TESTDIR/get-with-headers.py ./
+hg ci -Ama
+
+echo % hg serve
+hg serve -p $HGPORT -d -n test --pid-file=hg.pid -A access.log -E errors.log
+cat hg.pid >> $DAEMON_PIDS
+
+echo % hgweb filerevision
+("$TESTDIR/get-with-headers.py" localhost:$HGPORT '/file/tip/get-with-headers.py') \
+    | sed "s/[0-9]* years ago/long ago/g"
+
+echo % hgweb fileannotate
+("$TESTDIR/get-with-headers.py" localhost:$HGPORT '/annotate/tip/get-with-headers.py') \
+    | sed "s/[0-9]* years ago/long ago/g"
+
+echo % errors encountered
+cat errors.log
+